Android Studio 的初次使用

记录我第一次使用Android Studio时遇到的问题以及一些简单的笔记。
我所使用的是Android Studio 2.2版本

遇到的问题

创建一个Hello World!项目无疑是相当简单的,我很快就完成了项目的创建过程。
然后……就报错了。

Error:A problem occurred configuring project ':app'.
> Could not resolve all dependencies for configuration ':app:_debugApkCopy'.
   > Could not resolve com.android.support:appcompat-v7:32.+.
     Required by:
         MyApplication:app:unspecified
      > Could not resolve com.android.support:appcompat-v7:32.+.
         > Failed to list versions for com.android.support:appcompat-v7.
            > Could not list versions using M2 pattern 'https://jcenter.bintray.com/[organisation]/[module]/[revision]/[artifact]-[revision](-[classifier]).[ext]'.
               > Could not GET 'https://jcenter.bintray.com/com/android/support/appcompat-v7/'.
                  > org.apache.http.client.ClientProtocolException (no error message)

那么,这是怎么回事呢?
经过我对相关的查找,最终了解的情况如下:
进行以下操作:File->Settings->System Settings->Update
然后我看到 :Android SDK Tools: 26.1.1
所以这里我的SDK工具版本就是26.1.1了
接下来到:File->Settings->System Settings->Android SDK->SDK Tools
我这里的Android SDK Build-Tools(SDK 构建工具)版本是33-rc3
很明显版本低了,但我最终了解到这些并不是造成项目报错的直接原因
(Android模式的项目结构)
然后点开项目构建文件Gradle Scripts->build.gradle(Module:app)

apply plugin: 'com.android.application'

android {
    compileSdkVersion 32             //错误的原因在这
    buildToolsVersion "32.0.0"
    defaultConfig {
        applicationId "com.example.myapplication"
        minSdkVersion 15
        targetSdkVersion 32           //错误的原因在这
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })
    compile 'com.android.support:appcompat-v7:32.+'//错误的原因在这
    testCompile 'junit:junit:4.12'
}

只要稍作修改就行

apply plugin: 'com.android.application'

android {
    compileSdkVersion 26      //修改
    buildToolsVersion "32.0.0"
    defaultConfig {
        applicationId "com.example.myapplication"
        minSdkVersion 15
        targetSdkVersion 26     //修改
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })
    compile 'com.android.support:appcompat-v7:26+'   //修改
    testCompile 'junit:junit:4.12'
}

然后Try Again,那么问题就解决了。

Hello World!布局

依次点击:app->res->layout
然后点击里面的xml文件
在Text视图下就可以看到

<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/activity_main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingBottom="@dimen/activity_vertical_margin"
    android:paddingLeft="@dimen/activity_horizontal_margin"
    android:paddingRight="@dimen/activity_horizontal_margin"
    android:paddingTop="@dimen/activity_vertical_margin"
    tools:context="com.example.myapplication.MainActivity">

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Hello World!" />
</RelativeLayout>

Hello World!就是通过代码android:text="Hello World!"定义的。
在这里修改""里面的语句就可以输出不同的语句。

Log

  • Log.v()。用于打印那些最为琐碎的、意义最小的日志信息。对应级别verbose,是Android日志里面级别最低的一种。
  • Log.d()。用于打印一些调试信息,这些信息对你的调试程序和分析问题是有帮助的,对应级别debug,比verbose高一级
  • Log.i()。用于打印一些比较重要的数据,这些数据应该是你想看到的,可以帮你分析用户行为数据,对应级别info,比debug高一级。
  • Log.w()。用于打印一些警告信息,提示程序在这个地方可能会有潜在的风险,最后好修复一下这些出现警告的地方。对应级别warn,比info高一级
  • Log.e()。用于打印程序中的错误信息,比如程序进入到了catch语句中,当有错误信息打印出来的时候,一般都代表你的程序出现了严重问题,必须尽快修复,对应级别error,比warn高一级。

输入logv/logd/logi/logw/loge再按下tab键,可自动补全
输入logt然后按下tab键,就会以当前的类名作为值生成一个TAG常量

添加打印日志的语句后如下:

package com.example.myapplication;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;

public class MainActivity extends AppCompatActivity {
    private static final String TAG = "MainActivity";//输入logt然后按下tab键
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Log.d(TAG, "onCreate: execute");//这里
    }
}

然后我们就可以在logcat中看到打印信息了。

热门相关:骑士归来